// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from ds_dbw_msgs:msg/BrakeReport.idl
// generated code does not contain a copyright notice

#ifndef DS_DBW_MSGS__MSG__DETAIL__BRAKE_REPORT__STRUCT_H_
#define DS_DBW_MSGS__MSG__DETAIL__BRAKE_REPORT__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__struct.h"
// Member 'cmd_src'
#include "ds_dbw_msgs/msg/detail/cmd_src__struct.h"

// Struct defined in msg/BrakeReport in the package ds_dbw_msgs.
typedef struct ds_dbw_msgs__msg__BrakeReport
{
  std_msgs__msg__Header header;
  uint8_t cmd_type;
  float pressure_input;
  float pressure_cmd;
  float pressure_output;
  float torque_input;
  float torque_cmd;
  float torque_output;
  float accel_cmd;
  float accel_output;
  float percent_input;
  float percent_cmd;
  float percent_output;
  bool btsi_cmd;
  bool limiting_value;
  bool limiting_rate;
  bool external_control;
  bool ready;
  bool enabled;
  bool override_active;
  bool override_other;
  bool override_latched;
  bool timeout;
  bool fault;
  bool bad_crc;
  bool bad_rc;
  bool degraded;
  float limit_value;
  float brake_available_duration;
  bool brake_available_full;
  bool req_shift_park;
  bool req_park_brake;
  bool external_button;
  ds_dbw_msgs__msg__CmdSrc cmd_src;
} ds_dbw_msgs__msg__BrakeReport;

// Struct for a sequence of ds_dbw_msgs__msg__BrakeReport.
typedef struct ds_dbw_msgs__msg__BrakeReport__Sequence
{
  ds_dbw_msgs__msg__BrakeReport * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} ds_dbw_msgs__msg__BrakeReport__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // DS_DBW_MSGS__MSG__DETAIL__BRAKE_REPORT__STRUCT_H_
