// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from ds_dbw_msgs:msg/MonitorReport.idl
// generated code does not contain a copyright notice

#ifndef DS_DBW_MSGS__MSG__DETAIL__MONITOR_REPORT__STRUCT_H_
#define DS_DBW_MSGS__MSG__DETAIL__MONITOR_REPORT__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

/// Constant 'FAULT_UNKNOWN'.
enum
{
  ds_dbw_msgs__msg__MonitorReport__FAULT_UNKNOWN = 0
};

/// Constant 'FAULT_NONE'.
enum
{
  ds_dbw_msgs__msg__MonitorReport__FAULT_NONE = 1
};

/// Constant 'FAULT_FAULT'.
enum
{
  ds_dbw_msgs__msg__MonitorReport__FAULT_FAULT = 2
};

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__struct.h"

// Struct defined in msg/MonitorReport in the package ds_dbw_msgs.
typedef struct ds_dbw_msgs__msg__MonitorReport
{
  std_msgs__msg__Header header;
  bool fault;
  bool shutoff;
  bool shutoff_on_motion;
  bool stationary;
  uint8_t fault_test;
  uint8_t fault_system;
  uint8_t fault_steer;
  uint8_t fault_brake;
  uint8_t fault_thrtl;
  uint8_t fault_gear;
  uint8_t fault_ulc;
  uint8_t fault_vehicle_velocity;
  uint8_t fault_steer_feedback;
  uint8_t fault_steer_input;
  uint8_t fault_steer_param;
  uint8_t fault_steer_limit;
  uint8_t fault_steer_override;
  uint8_t fault_steer_cmd;
  uint8_t fault_steer_cmd_rate;
  uint8_t fault_steer_cmd_en;
  uint8_t fault_steer_cmd_sys;
  uint8_t fault_steer_cmd_ovr;
  uint8_t fault_brake_feedback;
  uint8_t fault_brake_input;
  uint8_t fault_brake_param;
  uint8_t fault_brake_limit;
  uint8_t fault_brake_override;
  uint8_t fault_brake_cmd;
  uint8_t fault_brake_cmd_ulc;
  uint8_t fault_brake_cmd_en;
  uint8_t fault_brake_cmd_sys;
  uint8_t fault_brake_cmd_ovr;
  uint8_t fault_thrtl_feedback;
  uint8_t fault_thrtl_input;
  uint8_t fault_thrtl_param;
  uint8_t fault_thrtl_limit;
  uint8_t fault_thrtl_override;
  uint8_t fault_thrtl_cmd;
  uint8_t fault_thrtl_cmd_ulc;
  uint8_t fault_thrtl_cmd_en;
  uint8_t fault_thrtl_cmd_sys;
  uint8_t fault_thrtl_cmd_ovr;
  uint8_t fault_gear_feedback;
  uint8_t fault_gear_input;
  uint8_t fault_gear_param;
  uint8_t fault_gear_override;
  uint8_t fault_gear_cmd;
  uint8_t fault_gear_cmd_ulc;
  uint8_t fault_system_param;
  bool steer_cmd_match_oem;
  bool steer_cmd_match_dbw;
  bool brake_cmd_match_oem;
  bool brake_cmd_match_dbw;
  bool thrtl_cmd_match_oem;
  bool thrtl_cmd_match_dbw;
  bool gear_cmd_match_oem;
  bool gear_cmd_match_dbw;
} ds_dbw_msgs__msg__MonitorReport;

// Struct for a sequence of ds_dbw_msgs__msg__MonitorReport.
typedef struct ds_dbw_msgs__msg__MonitorReport__Sequence
{
  ds_dbw_msgs__msg__MonitorReport * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} ds_dbw_msgs__msg__MonitorReport__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // DS_DBW_MSGS__MSG__DETAIL__MONITOR_REPORT__STRUCT_H_
